import { Factory, Seeder } from 'typeorm-seeding'
import { Connection } from 'typeorm'
import { Roles } from '../configurable/entities/roles.entity'

export default class CreateUsers implements Seeder {
  public async run(factory: Factory, connection: Connection): Promise<any> {
    await connection
      .createQueryBuilder()
      .insert()
      .into(Roles)
      .values([
        { id: '3196cdf4-ae5f-4677-9bcd-98be35c72321', name: 'Admin' },
        { id: '3196cdf4-ae5f-4677-9bcd-98be35c72322', name: 'Supervisor' },
      ])
      .execute()
  }
}